Application: gvSIG desktop - gvSIG bugs #2274
Initialization errors (and warnings)
01/31/2014 11:36 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Ignacio Brodin

Category: Application

Target version: 2.1.0-2219-testing

Severity: Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2218 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

I've installed the build 2218 (gvSIG-desktop-2.1.0-2218-devel-win-x86-standard-withjre.exe), typical installation. When | execute
gvSIG, there are a lot of warnings due to SEXTANTE and finally an initialization error, like in attachments.

Related issues:

Related to Application: gvSIG desktop - gvSIG bugs # 2228: Errors using OSM p... Closed 01/24/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2209: Error al Abrir pro... Closed 01/20/2014
Duplicates Application: gvSIG desktop - gvSIG bugs # 2277: error al abrir gvS... Invalid 02/02/2014
History

#1 - 02/01/2014 11:59 AM - Alvaro Anguix

- Category changed from Application to Geoprocess
- Assignee set to Ignacio Brodin

- Priority changed from Normal to Immediate

#2 - 02/01/2014 02:42 PM - Antonio Falciano

If | execute gvSIG as administrator the warnings disappears (because gvSIG creates successfully the grass, r, saga, etc. folders in C:\Program Files

(x86)\gvSIG desktop 2.1.0\gvSIG\extensiones\org.gvsig.geoprocess.app.mainplugin), so these warnigs related to SEXTANTE are due to permissions.

Instead, the initialization errors still remains. Here's the full content of the remaining warning window:

Errors in initialization of application.
Can't find class extension (org.gvsig.raster.tools.app.basic.RasterExtension)
Can't find class extension (org.gvsig.raster.wms.app.wmsclient.wmc.ImportWebMapContextExtension)
postlnitialize of extension 'org.gvsig.raster.wms.app.wmsclient. WMSClientExtension' failed
postlinitialize of extension 'org.gvsig.raster.osm.app.osmclient. OSMClientExtension' failed
postlinitialize of extension 'org.gvsig.raster.wcs.app.wcsclient. WCSClientExtension' failed
postlinitialize of extension 'org.gvsig.raster.wmts.app.wmtsclient. WMTSClientExtension' failed

It seems that two classes (org.gvsig.raster.tools.app.basic.RasterExtension and
org.gvsig.raster.wms.app.wmsclient.wmc.ImportWebMapContextExtension) are missing or not referenced well.

#3 - 02/03/2014 12:49 PM - Ignacio Brodin
- Category changed from Geoprocess to Application

I've detected two problems in the windows package in this build (2218). One the one hand, the libraries in the package org.gvsig.raster.mainplugin do

not have the right version. On the other hand, the library jgdal is not being copied. The error is thrown by the first problem.

#4 - 02/03/2014 03:05 PM - Ignacio Brodin
- Status changed from New to Fixed

#5 - 02/20/2014 11:54 PM - Alvaro Anguix
- Status changed from Fixed to Closed
